<?php
include_once('includes/function/modules_manager_update.php');

$install_module = isset($_POST['install_module']) ? preg_replace('/[^a-zA-Z0-9_\-]/', '', trim(stripslashes(rawurldecode($_POST['install_module'])))) : 0;
$update_module = isset($_POST['update_module']) ? preg_replace('/[^a-zA-Z0-9_\-]/', '', trim(stripslashes(rawurldecode($_POST['update_module'])))) : 0;

if ($install_module OR $update_module){
	$use_module = $install_module ? $install_module : $update_module;
	$action = $install_module ? 'install' : 'update';
	cmt_update_execute($use_module, $action);
}

print "
<input type='hidden' name='install_module' value='0' />
<input type='hidden' name='update_module' value='0' />";
